!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine Buoyancy
!
!   * Developer: SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
!   * Version: $Id: buoyancy.f90,v 1.4 2005/02/02 10:07:26 odakker Exp $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!Z αư˴ޤޤϹη׻. 
!Ȥ˴ϢʤȤߤʤĹ֥ƥåפɾ
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
                                                                 !=end

subroutine Buoyancy(ss_PotTemp_n, sf_Buoy_n)
                                                                 !=begin
  !== Dependency
  use dc_trace, only: BeginSub, EndSub
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
  use basicset, only: ss_PotTempBasicZ
  use arareprm, only: Grav
  use average,  only: sf_avr_ss
                                                                 !=end  
  !--- ۤηػ
  implicit none
                                                                 !=begin  
  !== Input
  real(8), intent(in) :: ss_PotTemp_n(DimXMin:DimXMax, DimZMin:DimZMax) !

  !== Output
  real(8), intent(out) :: sf_Buoy_n(DimXMin:DimXMax, DimZMin:DimZMax) !
                                                                 !=end 

  call BeginSub("Buoyancy", &
&               fmt="%c",       &
&               c1="Calculate buoyance term for VelZ (sf_Buoy).")

  
  !--- Ϲ 
  sf_Buoy_n = sf_avr_ss( ( Grav * ss_PotTemp_n  / ss_PotTempBasicZ ) )

  call EndSub("Buoyancy")

end subroutine Buoyancy
